#
# spec file for package nepomuk-ffmpegindexer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           nepomuk-ffmpegindexer
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRequires:  libsoprano-devel >= 2.7.56
BuildRequires:  shared-desktop-ontologies-devel >= 0.10.0
BuildRequires:  soprano-backend-redland >= 2.7.56
BuildRequires:  soprano-backend-virtuoso >= 2.7.56
BuildRequires:  xz
BuildRequires:  xz-devel
BuildRequires:  libffmpeg-devel
Summary:        The ffmpeg indexer plugin for the KDE Nepomuk Core Library
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://nepomuk.kde.org/
Version:        4.10.0
Release:        2.14
Source0:        nepomuk-core-%{version}.tar.xz
# PATCH-FIX-UPSTREAM Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch fixes indexer not working recursively (kde#314559)
Patch0:         Revert-BasicIndexingQueue-Use-stacks-instead-of-queu.patch
# PATCH-FIX-UPSTREAM initialize-objects-in-correct-order.diff Object where initialized in the wrong order, and this always caused a crash for users that enabled nepomuk with clean db (kde#314589)
Patch1:         initialize-objects-in-correct-order.diff
# PATCH-FIX-UPSTREAM connect-both-the-queues-together.diff
Patch2:         connect-both-the-queues-together.diff
# PATCH-FIX-UPSTREAM emit-the-current-signals-in-propertychanged.diff
Patch3:         emit-the-current-signals-in-propertychanged.diff
# PATCH-FIX-UPSTREAM do-not-auto-update-the-cache-by-default.diff
Patch4:         do-not-auto-update-the-cache-by-default.diff
# PATCH-FIX-UPSTREAM fileindexer-do-not-use-QDirIterators-in-the-queues.patch
Patch5:         fileindexer-do-not-use-QDirIterators-in-the-queues.patch
# PATCH-FIX-UPSTREAM initialize-the-m_indexhidden-variable.patch
Patch6:         initialize-the-m_indexhidden-variable.patch
# PATCH-FIX-UPSTREAM initialize-m_state-to-its-correct-value.patch
Patch7:         initialize-m_state-to-its-correct-value.patch
# PATCH-FIX-UPSTREAM Check-DateTime-for-negative-years.patch
Patch8:         Check-DateTime-for-negative-years.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       nepomuk-core = %version
%define debug_package_requires %name = %version-%release kdelibs4-debuginfo

%description
This package contains all the core libraries for nepomuk

%prep
%setup -q -n nepomuk-core-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
  %cmake_kde4 -d build -- -DKDE4_ENABLE_FPIE=1
  %make_jobs

%install
  pushd build/services/fileindexer/indexer
  %kde4_makeinstall
  popd
  %kde_post_install
  # Remove the unnecessary plugins 
  rm %{buildroot}%{_kde4_modulesdir}/nepomukplaintextextractor.so
  rm %{buildroot}%{_kde4_servicesdir}/nepomukplaintextextractor.desktop
  rm -rf %{buildroot}%{_kde4_bindir}
  rm -rf %{buildroot}%{_kde4_servicetypesdir}
  

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kde4_modulesdir/nepomukffmpegextractor.so
%{_kde4_servicesdir}/nepomukffmpegextractor.desktop

%changelog
* Thu Feb 28 2013 rwooninck@opensuse.org
- Update to version 4.10.0 (KDE 4.10 Release)
* Sun Jan 13 2013 rwooninck@opensuse.org
- Update to version 4.9.97 (KDE 4.10 RC2)
* Fri Dec 21 2012 rwooninck@opensuse.org
- Initial package to build the ffmpegindexer plugin for the new
  nepomuk fileindexer service.
